﻿#language: ru

@ignore
@exportscenarios

Функционал: Библиотека. Создание НСИ

Как <Роль>
Я хочу <описание функционала>
Чтобы <бизнес-эффект>

Сценарий: Я создаю валюту RUB

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Валюты'
	Тогда я жду открытия окна 'Валюты' в течение 20 секунд
	Если в таблице "Валюты" нет строк Тогда
		| 'Наименование валюты' | 'Симв. код' |
		| 'Российский рубль'    | 'RUB'       |
		Тогда я нажимаю на кнопку 'По классификатору...'
		И я жду открытия окна 'Подбор валют из классификатора' в течение 20 секунд
		И в таблице "СписокВалют" я перехожу к строке:
			| 'Наименование валюты' | 'Симв. код' |
			| 'Российский рубль'    | 'RUB'       |
		И в таблице "СписокВалют" я активизирую поле "Наименование валюты"
		И в таблице "СписокВалют" я нажимаю на кнопку 'Выбрать'
		Тогда я жду открытия окна 'Валюты' в течение 20 секунд
	И Я закрываю окно 'Валюты'
	
Сценарий: Я создаю организацию

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Организации'
	Тогда я жду открытия окна 'Организации' в течение 20 секунд
	Если в таблице "Список" нет строк Тогда
		| 'Наименование' |
		| 'Организация'  |
		И я нажимаю на кнопку 'Создать'
		Тогда я жду открытия окна 'Организация (создание)' в течение 20 секунд
		И в поле 'Наименование' я ввожу текст 'Организация'
		И я разворачиваю группу с именем "ЮридическиеДанные"
		И в поле 'Наименование (сокращенное)' я ввожу текст 'ООО \"Организация\"'
		И в поле 'Наименование (международное)' я ввожу текст 'Organizatcia LLC'
		И в поле 'Наименование (полное)' я ввожу текст 'Общество с ограниченной ответственностью \"Организация\"'
		И в поле 'ИНН' я ввожу текст '9999115007'
		И в поле 'КПП' я ввожу текст '999911500'
		И в поле 'ОГРН' я ввожу текст '1234567890123'
		И в поле 'Префикс GS1' я ввожу текст '789'
		И в поле 'ОКПО' я ввожу текст '12345678'
		И в поле 'Код ОКВЭД' я ввожу текст '999'
		И я разворачиваю группу с именем "ГруппаКонтактнаяИнформация"
		И в поле 'Адрес' я ввожу текст '117342, Москва г, Севастопольский пр-кт, дом № 56'
		И в поле 'Телефон' я ввожу текст '+79101234567'
		И я нажимаю на кнопку '+телефон, адрес'
		И в меню формы я выбираю 'Электронная почта'
		И в поле 'Электронная почта' я ввожу текст 'td@mail.ru'
		И я перехожу к следующему реквизиту
		И я сворачиваю группу с именем "ЮридическиеДанные"
		И я сворачиваю группу с именем "ГруппаКонтактнаяИнформация"
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Организация (Организация) *' в течение 20 секунд
		Тогда я жду открытия окна 'Организации' в течение 20 секунд
	И Я закрываю окно 'Организации'

Сценарий: Я заполняю константу Единица измерения веса

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Настройки номенклатуры'
	Тогда я жду открытия окна 'Настройки номенклатуры' в течение 20 секунд
	И я нажимаю кнопку выбора у поля "Единица измерения веса"
	Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
	И я нажимаю на кнопку 'Подобрать из классификатора'
	Тогда я жду открытия окна 'Классификатор единиц измерения' в течение 20 секунд
	И в таблице "ДеревоКлассификатора" я перехожу к строке:
		| 'Наименование' |
		| 'Килограмм'    |
	И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
	И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'кг'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда я жду открытия окна 'Настройки номенклатуры' в течение 20 секунд
	И Я закрываю окно 'Настройки номенклатуры'

Сценарий: Я заполняю константы Единицы измерения

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Настройки номенклатуры'
	Тогда я жду открытия окна 'Настройки номенклатуры' в течение 20 секунд
	И я заполняю ЕдИзм Вес
		И я нажимаю кнопку выбора у поля "Единица измерения веса"
		Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
		И я нажимаю на кнопку 'Подобрать из классификатора'
		Тогда я жду открытия окна 'Классификатор единиц измерения' в течение 20 секунд
		И в таблице "ДеревоКлассификатора" я перехожу к строке:
			| 'Наименование' |
			| 'Килограмм'    |
		И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
		И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
		И я нажимаю на кнопку 'ОК'
		Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда я жду открытия окна 'Настройки номенклатуры' в течение 20 секунд
	И я заполняю ЕдИзм Объем
		И я нажимаю кнопку выбора у поля "Единица измерения объема"
		Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
		И я нажимаю на кнопку 'Подобрать из классификатора'
		Тогда я жду открытия окна 'Классификатор единиц измерения' в течение 20 секунд
		И в таблице "ДеревоКлассификатора" я перехожу к строке:
			| 'Наименование'    |
			| 'Кубический метр' |
		И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
		И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
		И я нажимаю на кнопку 'ОК'
		Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда я жду открытия окна 'Настройки номенклатуры' в течение 20 секунд
	И я заполняю ЕдИзм Площадь
		И я нажимаю кнопку выбора у поля "Единица измерения площади"
		Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
		И я нажимаю на кнопку 'Подобрать из классификатора'
		Тогда я жду открытия окна 'Классификатор единиц измерения' в течение 20 секунд
		И в таблице "ДеревоКлассификатора" я перехожу к строке:
			| 'Наименование'    |
			| 'Квадратный метр' |
		И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
		И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
		И я нажимаю на кнопку 'ОК'
		Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда я жду открытия окна 'Настройки номенклатуры' в течение 20 секунд
	И я заполняю ЕдИзм Длина
		И я нажимаю кнопку выбора у поля "Единица измерения длины"
		Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
		И я нажимаю на кнопку 'Подобрать из классификатора'
		Тогда я жду открытия окна 'Классификатор единиц измерения' в течение 20 секунд
		И в таблице "ДеревоКлассификатора" я перехожу к строке:
			| 'Наименование' |
			| 'Метр'         |
		И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
		И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
		И я нажимаю на кнопку 'ОК'
		Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда я жду открытия окна 'Настройки номенклатуры' в течение 20 секунд
	И Я закрываю окно 'Настройки номенклатуры'

Сценарий: Я выбираю кг в первый раз

	Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
	И я нажимаю на кнопку 'Подобрать из классификатора'
	Тогда я жду открытия окна 'Классификатор единиц измерения' в течение 20 секунд
	И в таблице "ДеревоКлассификатора" я перехожу к строке:
		| 'Наименование' |
		| 'Килограмм'    |
	И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
	И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'кг'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'

Сценарий: Я выбираю шт в первый раз

	Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
	И я нажимаю на кнопку 'Подобрать из классификатора'
	Тогда я жду открытия окна 'Классификатор единиц измерения' в течение 20 секунд
	И в таблице "ДеревоКлассификатора" я перехожу к строке:
		| 'Наименование' |
		| 'Штука'    |
	И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
	И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда я жду открытия окна 'Выберите единицу измерения' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'шт'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'

Сценарий: Я начинаю создавать Вид Номенклатуры "НаименованиеВидаНоменклатуры"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	И я нажимаю на кнопку 'Виды номенклатуры'
	Тогда я жду открытия окна 'Виды номенклатуры' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Вид номенклатуры (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "НаименованиеВидаНоменклатуры"

Сценарий: Я заканчиваю создавать Вид Номенклатуры

	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду открытия окна 'Виды номенклатуры' в течение 20 секунд
	И Я закрываю окно 'Виды номенклатуры'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: Я создаю производителя "Производитель"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	И я нажимаю на кнопку 'Производители'
	Тогда я жду открытия окна 'Производители' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Производитель (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "Производитель"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Производитель (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Производители' в течение 20 секунд
	И Я закрываю окно 'Производители'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: Я создаю товарную категорию "ИмяТоварнойКатегории"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	И я нажимаю на кнопку 'Товарные категории'
	Тогда я жду открытия окна 'Товарные категории' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Товарная категория (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "ИмяТоварнойКатегории"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Товарная категория (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Товарные категории' в течение 20 секунд
	И Я закрываю окно 'Товарные категории'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: Я выбираю картинку "ИмяКартинки" для новой номенклатуры

	Когда я перехожу к закладке "Основное"
	Когда я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь + "\"' в переменную "КаталогТеста"
	Когда я буду выбирать внешний файл "$КаталогТеста$""ИмяКартинки"
	Когда я нажимаю на гиперссылку с именем "ПолеКартинкиПрисоединенногоФайла1"
	Тогда я жду открытия окна '1С:Предприятие' в течение 20 секунд
	Когда я нажимаю на кнопку 'OK'

Сценарий: Я создаю характеристику "ИмяХарактеристики"
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Помощник регистрации новой характеристики' в течение 20 секунд
	И в поле 'Рабочее наименование' я ввожу текст 'ИмяХарактеристики'
	И я нажимаю на кнопку 'Создать'

Сценарий: Я создаю вид рабочего центра "НаименованиеВидаРЦ"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Виды рабочих центров'
	Тогда я жду открытия окна 'Виды рабочих центров' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'НаименованиеВидаРЦ'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Виды рабочих центров' в течение 20 секунд
	И я закрываю окно 'Виды рабочих центров'

Сценарий: Я создаю вид рабочего центра "НаименованиеВидаРЦ" с подразделением "ИмяПодразделения" и графиком работы
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Виды рабочих центров'
	Тогда я жду открытия окна 'Виды рабочих центров' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'НаименованиеВидаРЦ'
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно "Подразделения"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'ИмяПодразделения' |
	И я нажимаю на кнопку "Выбрать"
	Тогда открылось окно "Вид рабочего центра (создание) *"
	И из выпадающего списка "График работы" я выбираю по строке "Российская Федерация"	
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Виды рабочих центров' в течение 20 секунд
	И я закрываю окно 'Виды рабочих центров'

Сценарий: Я создаю вид рабочего центра "НаименованиеВидаРЦ" с подразделением "ИмяПодразделения" и графиком работы с параллельной загрузкой
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Виды рабочих центров'
	Тогда я жду открытия окна 'Виды рабочих центров' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'НаименованиеВидаРЦ'
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно "Подразделения"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'ИмяПодразделения' |
	И я нажимаю на кнопку "Выбрать"
	Тогда открылось окно "Вид рабочего центра (создание) *"
	И из выпадающего списка "График работы" я выбираю по строке "Российская Федерация"
	И я устанавливаю флаг с именем 'ПараллельнаяЗагрузка'	
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Виды рабочих центров' в течение 20 секунд
	И я закрываю окно 'Виды рабочих центров'

Сценарий: Я начинаю создавать Номенклатуру "ИмяНоменклатуры" с видом "ВидНоменклатуры" и типом "ТипНоменклатуры"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда я жду открытия окна 'Номенклатура' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Номенклатура (создание)' в течение 20 секунд
	И в поле 'Рабочее наименование' я ввожу текст 'ИмяНоменклатуры'
	И в поле 'Наименование для печати' я ввожу текст 'ИмяНоменклатуры'
	И из выпадающего списка "Вид номенклатуры" я выбираю по строке "ВидНоменклатуры"
	И из выпадающего списка "Тип номенклатуры" я выбираю по строке "ТипНоменклатуры"

Сценарий: Я заканчиваю создавать Номенклатуру

	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду открытия окна 'Номенклатура' в течение 20 секунд
	И Я закрываю окно 'Номенклатура'

Сценарий: Я создаю простое соглашение для контрагента "Имя контрагента"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Соглашения с контрагентами'
	Тогда я жду открытия окна 'Соглашения с контрагентами' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Соглашение с контрагентом (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "Имя контрагента"
	И из выпадающего списка "Контрагент" я выбираю по строке "Имя контрагента"
	И из выпадающего списка "Организация" я выбираю по строке "Организация"
	И в поле 'Действует с' я ввожу текст '01.01.2018'
	И из выпадающего списка "Статус" я выбираю точное значение 'Действует'
	И я перехожу к закладке "Ценовые условия"
	И я нажимаю кнопку выбора у поля "Вид цен"
	Тогда я жду открытия окна 'Виды цен' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Вид цены (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "Имя контрагента"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид цены (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Виды цен' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда я жду открытия окна 'Соглашение с контрагентом (создание) *' в течение 20 секунд
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Соглашение с контрагентом (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Соглашения с контрагентами' в течение 20 секунд

Сценарий: Я начинаю создавать Шаблон ресурсной спецификации "ИмяШаблона" для "ИмяВидаНоменклатуры"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Ресурсные спецификации'
	Тогда я жду открытия окна 'Ресурсные спецификации' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Выберите форму для открытия:' в течение 20 секунд
	И я нажимаю на кнопку 'Работа со спецификацией'
	Тогда я жду открытия окна 'Ресурсные спецификации (создание)' в течение 20 секунд
	И я нажимаю на кнопку 'Заполнить по шаблону'
	Тогда я жду открытия окна 'Настройки шаблона спецификации' в течение 20 секунд
	И я нажимаю кнопку выбора у поля "ШаблонСпецификации"
	Тогда я жду открытия окна 'Шаблоны ресурсных спецификаций' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Шаблоны ресурсных спецификаций (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ИмяШаблона'
	И из выпадающего списка "Вид номенклатуры" я выбираю по строке "ИмяВидаНоменклатуры"
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыДобавить'
	И в таблице "Этапы" я нажимаю кнопку выбора у реквизита "Шаблон этапа"
	Тогда я жду открытия окна 'Шаблоны этапов производства' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Шаблоны этапов производства (создание)' в течение 20 секунд

Сценарий: Я начинаю создавать Шаблон ресурсной спецификации "ИмяШаблона" для "ИмяВидаНоменклатуры" с отключенной обычной формой

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Ресурсные спецификации'
	Тогда я жду открытия окна 'Ресурсные спецификации' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Ресурсные спецификации (создание)' в течение 20 секунд
	И я нажимаю на кнопку 'Заполнить по шаблону'
	Тогда я жду открытия окна 'Настройки шаблона спецификации' в течение 20 секунд
	И я нажимаю кнопку выбора у поля "ШаблонСпецификации"
	Тогда я жду открытия окна 'Шаблоны ресурсных спецификаций' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Шаблоны ресурсных спецификаций (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ИмяШаблона'
	И из выпадающего списка "Вид номенклатуры" я выбираю по строке "ИмяВидаНоменклатуры"
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыДобавить'
	И в таблице "Этапы" я нажимаю кнопку выбора у реквизита "Шаблон этапа"
	Тогда я жду открытия окна 'Шаблоны этапов производства' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Шаблоны этапов производства (создание)' в течение 20 секунд

Сценарий: Я заканчиваю создавать Шаблон ресурсной спецификации

	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду открытия окна 'Шаблоны ресурсных спецификаций' в течение 20 секунд
	И я закрыл все окна клиентского приложения

Сценарий: Я начинаю создавать Ресурсную спецификацию по шаблону "ИмяШаблона" для "ИмяНоменклатуры"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Ресурсные спецификации'
	Тогда я жду открытия окна 'Ресурсные спецификации' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Выберите форму для открытия:' в течение 20 секунд
	И я нажимаю на кнопку 'Работа со спецификацией'
	Тогда я жду открытия окна 'Ресурсные спецификации (создание)' в течение 20 секунд
	И я нажимаю на кнопку 'Заполнить по шаблону'
	Тогда я жду открытия окна 'Настройки шаблона спецификации' в течение 20 секунд
	И из выпадающего списка "Номенклатура" я выбираю по строке "ИмяНоменклатуры"
	И из выпадающего списка "ШаблонСпецификации" я выбираю по строке "ИмяШаблона"
	И я нажимаю на кнопку 'Заполнить по шаблону'
	Тогда я жду открытия окна 'Ресурсные спецификации (создание) *' в течение 20 секунд

Сценарий: Я начинаю создавать Ресурсную спецификацию по шаблону "ИмяШаблона" для "ИмяНоменклатуры" с отключенной обычной формой

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Ресурсные спецификации'
	Тогда я жду открытия окна 'Ресурсные спецификации' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Ресурсные спецификации (создание)' в течение 20 секунд
	И я нажимаю на кнопку 'Заполнить по шаблону'
	Тогда я жду открытия окна 'Настройки шаблона спецификации' в течение 20 секунд
	И из выпадающего списка "Номенклатура" я выбираю по строке "ИмяНоменклатуры"
	И из выпадающего списка "ШаблонСпецификации" я выбираю по строке "ИмяШаблона"
	И я нажимаю на кнопку 'Заполнить по шаблону'
	Тогда я жду открытия окна 'Ресурсные спецификации (создание) *' в течение 20 секунд

Сценарий: Я начинаю создавать Ресурсную спецификацию для "ИмяНоменклатуры" с отключенной обычной формой

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Ресурсные спецификации'
	Тогда я жду открытия окна 'Ресурсные спецификации' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Ресурсные спецификации (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ИмяНоменклатуры'

Сценарий: Я заканчиваю создавать Ресурсную спецификацию в новой форме

	И из выпадающего списка "Статус" я выбираю точное значение 'Действует'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду открытия окна "Ресурсные спецификации" в течение 20 секунд
	И Я закрываю окно 'Ресурсные спецификации'

Сценарий: Я заканчиваю создавать Ресурсную спецификацию в новой форме без назначения её основной

	И из выпадающего списка "Статус" я выбираю точное значение 'Действует'
	И я жду доступности элемента с именем "НазначитьОсновной" в течение 20 секунд
	И я снимаю флаг 'Назначить основной'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду открытия окна "Ресурсные спецификации" в течение 20 секунд
	И Я закрываю окно 'Ресурсные спецификации'

Сценарий: Я начинаю создавать Ресурсную спецификацию "ИмяСпецификации"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Ресурсные спецификации'
	Тогда я жду открытия окна 'Ресурсные спецификации' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Выберите форму для открытия:' в течение 20 секунд
	И я нажимаю на кнопку 'Стандартная'
	Тогда я жду открытия окна 'Ресурсные спецификации (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ИмяСпецификации'
	И я нажимаю на кнопку 'Записать'

Сценарий: Я устанавливаю использование проверки "НаименованиеПроверки" для документа "ДокументДляПроверки"
	
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'НаименованиеПроверки' |
	И в таблице "Список" я выбираю текущую строку
	Тогда я жду открытия окна '* (Проверка документа)' в течение 20 секунд
	Если в таблице "СоставИспользования" есть строки Тогда
		| 'Тип документа'       |
		| 'ДокументДляПроверки' |
		И в таблице "СоставИспользования" я перехожу к строке:
			| 'Тип документа'       |
			| 'ДокументДляПроверки' |
		И я выбираю пункт контекстного меню с именем 'СоставИспользованияКонтекстноеМенюУдалить' на элементе формы с именем "СоставИспользования"
	И в таблице "СоставИспользования" я нажимаю на кнопку с именем 'СоставИспользованияДобавить'
	И в таблице "СоставИспользования" из выпадающего списка "Тип документа" я выбираю точное значение 'ДокументДляПроверки'
	И в таблице "СоставИспользования" я завершаю редактирование строки
	И в таблице "СоставИспользования" я устанавливаю флаг 'Используется'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна '* (Проверка документа) *' в течение 20 секунд
	Тогда я жду открытия окна 'Проверки документов' в течение 20 секунд

Сценарий: Я создаю группу номенклатуры "ГруппаНоменклатуры"

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда я жду открытия окна 'Номенклатура' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздатьГруппу'
	Тогда я жду открытия окна 'Номенклатура (создание группы)' в течение 20 секунд
	И в поле с именем 'Родитель' я ввожу текст ''
	И в поле 'Наименование' я ввожу текст 'ГруппаНоменклатуры'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Номенклатура (создание группы)' в течение 20 секунд
	Тогда я жду открытия окна 'Номенклатура' в течение 20 секунд
	И Я закрываю окно 'Номенклатура'

Сценарий: Я создаю причину возврата "ПричинаВозврата" с комментарием "КомментарийПричиныВозврата" для продаж

	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Причины корректировок документов'
	Тогда открылось окно 'Причины корректировок документов'
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Причина корректировки документа (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ПричинаВозврата'
	И в поле 'Комментарий' я ввожу текст 'КомментарийПричиныВозврата'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда я жду открытия окна 'Причины корректировок документов' в течение 20 секунд
	И Я закрываю окно 'Причины корректировок документов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: Я создаю причину возврата "ПричинаВозврата" с комментарием "КомментарийПричиныВозврата" для закупок

	И В командном интерфейсе я выбираю 'Закупки' 'Настройки закупок'
	Тогда открылось окно 'Настройки закупок'
	И я нажимаю на кнопку 'Причины корректировок документов'
	Тогда открылось окно 'Причины корректировок документов'
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Причина корректировки документа (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ПричинаВозврата'
	И в поле 'Комментарий' я ввожу текст 'КомментарийПричиныВозврата'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда я жду открытия окна 'Причины корректировок документов' в течение 20 секунд
	И Я закрываю окно 'Причины корректировок документов'
	Тогда открылось окно 'Настройки закупок'
	И Я закрываю окно 'Настройки закупок'

Сценарий: Я создаю подразделение "ИмяПодразделения" с родителем "ГруппаПодразделения"
	
	И я нажимаю на кнопку "Создать"
	Тогда я жду открытия окна 'Подразделение (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ИмяПодразделения'
	И из выпадающего списка "Родитель" я выбираю по строке 'ГруппаПодразделения'
	И я нажимаю кнопку выбора у поля "График работы"
	Тогда я жду открытия окна 'Графики работы' в течение 20 секунд
	И в таблице "Список" я выбираю текущую строку
	Тогда я жду открытия окна 'Подразделение (создание) *' в течение 20 секунд
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда я жду открытия окна 'Подразделения' в течение 20 секунд

Сценарий: Я создаю подразделение "ИмяПодразделения" с графиком работы
	
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Подразделения'
	Тогда открылось окно 'Подразделения'
	И я нажимаю на кнопку "Создать"
	Тогда я жду открытия окна 'Подразделение (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ИмяПодразделения'
	И я нажимаю кнопку выбора у поля "График работы"
	Тогда я жду открытия окна 'Графики работы' в течение 20 секунд
	И в таблице "Список" я выбираю текущую строку
	Тогда я жду открытия окна 'Подразделение (создание) *' в течение 20 секунд
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда я жду открытия окна 'Подразделения' в течение 20 секунд
	И Я закрываю окно 'Подразделения'

Сценарий: Я создаю подразделение "ИмяПодразделения"
	
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Подразделения'
	Тогда открылось окно 'Подразделения'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Подразделение (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяПодразделения'
	И из выпадающего списка с именем "Календарь" я выбираю по строке 'Российская Федерация'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Подразделение (создание) *' в течение 20 секунд
	Тогда открылось окно 'Подразделения'
	И Я закрываю окно 'Подразделения'

Сценарий: Я начинаю создавать контрагента "ИмяКонтрагента"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Контрагенты'
	Тогда я жду открытия окна 'Контрагенты' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Контрагент (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ИмяКонтрагента'

Сценарий: Я начинаю создавать банковский счет "НаименованиеСчета" 

	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Банковский счет (создание)' в течение 20 секунд
	И в поле с именем 'Наименование' я ввожу текст 'НаименованиеСчета'
	
Сценарий: Я заканчиваю создавать банковский счет

	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Банковский счет (создание) *' в течение 20 секунд
	
Сценарий: Я заканчиваю создавать контрагента

	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Контрагент (создание) *' в течение 20 секунд
	Тогда открылось окно 'Контрагенты'
	И Я закрываю окно 'Контрагенты'

Сценарий: Я начинаю создавать контактное лицо "ИмяКонтактногоЛица" для контрагента "ИмяКонтрагента" 
	
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Контактные лица (создание)' в течение 20 секунд
	И в поле 'Фамилия, имя, отчество' я ввожу текст 'ИмяКонтактногоЛица'
	И из выпадающего списка "Контрагент" я выбираю по строке 'ИмяКонтрагента'

Сценарий: Я заполняю для контактного лица электронную почту "ЭлектроннаяПочта" телефон "НомерТелефона" и мобильный телефон "МобильныйТелефон"
	
	И я перехожу к закладке "Контактная информация"
	И в поле 'Электронная почта' я ввожу текст 'ЭлектроннаяПочта'
	И в поле 'Телефон' я ввожу текст 'НомерТелефона'
	И в поле 'Мобильный Телефон' я ввожу текст 'МобильныйТелефон'

Сценарий: Я заканчиваю создавать контактное лицо

	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Контактные лица (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Контактные лица' в течение 20 секунд

Сценарий: Я начинаю создавать упаковку

	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Упаковки и единицы измерения (создание)' в течение 20 секунд

Сценарий: Я заканчиваю создавать упаковку "ИмяУпаковки" с числителем "ЧислительУпаковки" и весом брутто "ВесБрутто"
	
	И из выпадающего списка "Единица по классификатору" я выбираю по строке 'упак'
	И я перехожу к следующему реквизиту
	И в поле с именем 'Числитель' я ввожу текст 'ЧислительУпаковки'
	И в поле 'Вес (брутто)' я ввожу текст 'ВесБрутто'
	И в поле 'Наименование' я ввожу текст 'ИмяУпаковки'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Упаковки и единицы измерения (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Набор упаковок для сыров (Набор упаковок)' в течение 20 секунд

Сценарий: Я создаю характеристику "ИмяХарактеристики" для контрагента "ИмяКонтрагента"

	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Помощник регистрации новой характеристики' в течение 20 секунд
	И в поле 'Рабочее наименование' я ввожу текст 'ИмяХарактеристики'
	И в поле 'Наименование для печати' я ввожу текст 'ИмяХарактеристики'
	И я нажимаю кнопку выбора у поля "Контрагент"
	Тогда я жду открытия окна 'Выбор типа данных' в течение 20 секунд
	И в таблице "" я перехожу к строке:
		| ''           |
		| 'Контрагент' |
	И я нажимаю на кнопку 'ОК'
	Тогда я жду открытия окна 'Контрагенты' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	|
		| 'ИмяКонтрагента'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда я жду открытия окна 'Помощник регистрации новой характеристики *' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Характеристики номенклатуры (*)' в течение 20 секунд

Сценарий: Я фиксирую упаковку "ИмяУпаковки" для номенклатуры "ИмяНоменклатуры" с характеристикой "ИмяХарактеристики"
	
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Упаковки характеристик (создание)' в течение 20 секунд
	И из выпадающего списка "Номенклатура" я выбираю по строке 'ИмяНоменклатуры'
	И из выпадающего списка "Характеристика" я выбираю по строке 'ИмяХарактеристики'
	И из выпадающего списка "Упаковка" я выбираю по строке 'ИмяУпаковки'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Упаковки характеристик (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Упаковки характеристик' в течение 20 секунд

Сценарий: Я создаю физическое лицо "НаименованиеФизЛица" с ФИО "ФИОФизЛица" и инициалами "Инициалы"

	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Физическое лицо (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'НаименованиеФизЛица'
	И в поле 'ФИО' я ввожу текст 'ФИОФизЛица'
	И из выпадающего списка "Фамилия и инициалы" я выбираю точное значение 'Инициалы'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Физическое лицо (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Физические лица' в течение 20 секунд

Сценарий: Я создаю физическое лицо "НаименованиеФизЛица"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Физические лица'
	Тогда открылось окно "Физические лица"
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Физическое лицо (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'НаименованиеФизЛица'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Физическое лицо (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Физические лица' в течение 20 секунд
	И я закрываю окно "Физические лица"

Сценарий: Я создаю бизнес-регион "НаименованиеБизнесРегиона"

	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Бизнес регионы (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'НаименованиеБизнесРегиона'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Бизнес регионы (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Бизнес регионы' в течение 20 секунд

Сценарий: Я начинаю создавать ответственное лицо "ФизическоеЛицо" в должности "Должность" с наименованием "НаименованиеЛица"
	
	И я нажимаю на кнопку "Создать"
	Тогда я жду открытия окна 'Лицо с правом подписи (создание)' в течение 20 секунд
	И из выпадающего списка "Ответственное лицо" я выбираю точное значение 'Должность'
	И из выпадающего списка "Физическое лицо" я выбираю по строке 'ФизическоеЛицо'
	И из выпадающего списка "Наименование" я выбираю точное значение 'НаименованиеЛица'

Сценарий: Я заканчиваю создавать ответственное лицо

	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Лицо с правом подписи (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Лицо с правом подписи' в течение 20 секунд

Сценарий: Я подбираю номенклатуру "ИмяНоменклатуры"
	
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    | 
		| 'ИмяНоменклатуры' | 
	И в таблице "Список" я выбираю текущую строку

Сценарий: Я начинаю создавать соглашение "ИмяСоглашения" с контрагентом "ИмяКонтрагента" по организации "ИмяОрганизации"

	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Соглашение с контрагентом (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ИмяСоглашения'
	И из выпадающего списка "Наименование для печати" я выбираю точное значение 'ИмяСоглашения'
	И из выпадающего списка "Контрагент" я выбираю по строке 'ИмяКонтрагента'
	И из выпадающего списка "Организация" я выбираю по строке 'ИмяОрганизации'

Сценарий: Я заканчиваю создавать соглашение с контрагентом

	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Соглашение с контрагентом (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Соглашения с контрагентами' в течение 20 секунд

Сценарий: Я начинаю создавать заказ покупателя без холдинга "ИмяПокупателя" в точку доставки "ТочкаДоставки" организации "ИмяОрганизации" и подразделению "ИмяПодразделения"

	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Заказ клиента (создание)' в течение 20 секунд
	И из выпадающего списка "Контрагент" я выбираю по строке 'ИмяПокупателя'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'ТочкаДоставки'
	И из выпадающего списка "Организация" я выбираю по строке 'ИмяОрганизации'
	И из выпадающего списка "Подразделение" я выбираю по строке 'ИмяПодразделения'

Сценарий: Я добавляю в заказ клиента номенклатуру "ИмяНоменклатуры" с характеристикой "ИмяХарактеристики" в количестве "КоличествоТовара"

	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'ИмяНоменклатуры'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'ИмяХарактеристики'
	И в таблице "Товары" в поле 'Количество' я ввожу текст 'КоличествоТовара'
	И в таблице "Товары" я завершаю редактирование строки

Сценарий: Я добавляю в заказ клиента номенклатуру "ИмяНоменклатуры" без характеристики в количестве "КоличествоТовара"

	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'ИмяНоменклатуры'
	И в таблице "Товары" в поле 'Количество' я ввожу текст 'КоличествоТовара'
	И в таблице "Товары" я завершаю редактирование строки

Сценарий: Я заканчиваю создавать заказ клиента

	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заказ клиента (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Заказы клиентов' в течение 20 секунд
	И Я закрываю окно 'Заказы клиентов'

Сценарий: Я заполняю ячейку загрузки заказов "ИмяЯчейки" текстом "СодержаниеЯчейки"

	И в табличном документе 'ШаблонСДанными' я перехожу к ячейке "ИмяЯчейки"
	И в табличном документе 'ШаблонСДанными' я делаю двойной клик на текущей ячейке
	И в табличный документ "ШаблонСДанными" я ввожу текст 'СодержаниеЯчейки'

Сценарий: Я начинаю создавать заказ покупателя "ИмяПокупателя" с холдингом "ИмяХолдинга" организации "ИмяОрганизации" и подразделению "ИмяПодразделения"

	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Заказ клиента (создание)' в течение 20 секунд
	И из выпадающего списка "Организация" я выбираю по строке 'ИмяОрганизации'
	И из выпадающего списка "Подразделение" я выбираю по строке 'ИмяПодразделения'
	И из выпадающего списка "Холдинг" я выбираю по строке 'ИмяХолдинга'
	И из выпадающего списка "Контрагент" я выбираю по строке 'ИмяПокупателя'

Сценарий: Я создаю серию для "ИмяНоменклатуры" с номером "НомерСерии" датой выпуска "ДатаВыпуска" и датой годности "ДатаДо"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'ИмяНоменклатуры' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно '* (Номенклатура)'
	И у поля  с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 0
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст 'НомерСерии'
	И в поле 'Дата выпуска' я ввожу текст 'ДатаВыпуска'
	И в поле 'Годен до' я ввожу текст 'ДатаДо'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И Я закрываю окно 'Серии номенклатуры'
	Тогда открылось окно '* (Номенклатура)'
	И Я закрываю окно '* (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: Я создаю этап "НаименованиеЭтапа" для документа "ДокументДляЭтапа" с порядком "ПорядокЭтапа"

	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Этапы документов'
	Тогда открылось окно 'Этапы документов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Этап (создание)'
	И в поле 'Наименование' я ввожу текст 'НаименованиеЭтапа'
	И из выпадающего списка "Используется для" я выбираю точное значение 'ДокументДляЭтапа'
	И в поле 'Порядок' я ввожу текст 'ПорядокЭтапа'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этап (создание) *' в течение 20 секунд
	Тогда открылось окно 'Этапы документов'
	И Я закрываю окно 'Этапы документов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: Я создаю склад "НаименованиеСклада"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Склад (создание)'
	И в поле 'Наименование' я ввожу текст 'НаименованиеСклада'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад (создание)' в течение 20 секунд
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: Я создаю склад "НаименованиеСклада" с учетом по таре и вместимостью "ВместимостьСкладаВМестах"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Склад (создание)'
	И в поле 'Наименование' я ввожу текст "НаименованиеСклада"
	И я устанавливаю флаг "Вести учет по таре"
	И в поле 'Вместимость в местах' я ввожу текст "ВместимостьСкладаВМестах"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад (создание)' в течение 20 секунд
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: Я создаю склад "НаименованиеСклада" с отключенным учетом по доп.единицам
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Склад (создание)'
	И в поле 'Наименование' я ввожу текст 'НаименованиеСклада'
	И я устанавливаю флаг "Отключить учет по доп. единицам измерения"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад (создание)' в течение 20 секунд
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: Я создаю показатель анализов номенклатуры "НаименованиеПоказателя" с типом "ТипПоказателя"
	И В командном интерфейсе я выбираю 'Производство' 'Показатели анализов номенклатуры'
	Тогда открылось окно 'Показатели анализов номенклатуры'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'           |
		| 'НаименованиеПоказателя' |
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Показатель анализов номенклатуры (создание)'
		И в поле 'Наименование' я ввожу текст 'НаименованиеПоказателя'
		И я нажимаю кнопку выбора у поля "Вид результата анализа"
		Тогда открылось окно 'Виды результатов анализов'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'  |
			| 'ТипПоказателя' |
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Показатель анализов номенклатуры (создание) *'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Показатель анализов номенклатуры (создание) *' в течение 20 секунд
		Тогда открылось окно 'Показатели анализов номенклатуры'
	И Я закрываю окно 'Показатели анализов номенклатуры'

Сценарий: Я создаю показатель анализов номенклатуры "НаименованиеПоказателя" со списком значений "Значения через точку с запятой"
	И В командном интерфейсе я выбираю 'Производство' 'Показатели анализов номенклатуры'
	Тогда открылось окно 'Показатели анализов номенклатуры'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'           |
		| 'НаименованиеПоказателя' |
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Показатель анализов номенклатуры (создание)'
		И в поле 'Наименование' я ввожу текст 'НаименованиеПоказателя'
		И я нажимаю кнопку выбора у поля "Вид результата анализа"
		Тогда открылось окно 'Виды результатов анализов'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'       |
			| 'Значение из списка' |
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Показатель анализов номенклатуры (создание) *'
		И для каждого значения "ЗначениеПоказателя" из массива "Значения через точку с запятой"
			И в таблице "ДопустимыеЗначенияПоказателей" я нажимаю на кнопку 'Добавить'
			И в таблице "ДопустимыеЗначенияПоказателей" в поле 'Значение' я ввожу текст '$ЗначениеПоказателя$'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Показатель анализов номенклатуры (создание) *' в течение 20 секунд
		Тогда открылось окно 'Показатели анализов номенклатуры'
	И Я закрываю окно 'Показатели анализов номенклатуры'

Сценарий: Я создаю тару типа "ТипТары" с весом "ВесТары"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Тары'
	Тогда открылось окно "Тары"
	И я нажимаю на кнопку "Создать"
	Тогда открылось окно "Тара (создание)"
	И я нажимаю кнопку выбора у поля "Тип"
	Тогда открылось окно "Типы тары"
	И в таблице "Список" я перехожу к строке:
		| "Наименование"   |
		| "ТипТары" |
	И я нажимаю на кнопку "Выбрать"
	Тогда открылось окно "Тара (создание) *"
	И в поле "Вес" я ввожу текст "ВесТары"
	И я нажимаю на кнопку "Записать и закрыть"
	И я жду закрытия окна "Тара (создание) *" в течение 20 секунд
	Тогда открылось окно "Тары"
	И я закрываю окно "Тары"

Сценарий: Я создаю этап "НаименованиеЭтапа" для заявки на производство с порядком "ПорядокЭтапа"

	Когда В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда открылось окно 'Настройки планирования'
	И я нажимаю на кнопку 'Этапы документов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Этап (создание)'
	И в поле 'Наименование' я ввожу текст 'НаименованиеЭтапа'
	И из выпадающего списка "Используется для" я выбираю точное значение 'Заявка на производство'
	И в поле 'Порядок' я ввожу текст 'ПорядокЭтапа'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этап (создание) *' в течение 20 секунд
	Тогда открылось окно 'Этапы документов'
	И я закрываю окно 'Этапы документов'
	И я закрываю окно 'Настройки планирования'

Сценарий: Я создаю этап "НаименованиеЭтапа" для заказа поставщику с порядком "ПорядокЭтапа"

	Когда В командном интерфейсе я выбираю 'Закупки' 'Настройки закупок'
	Тогда открылось окно 'Настройки закупок'
	И я нажимаю на кнопку 'Этапы документов'
	Тогда открылось окно 'Этапы документов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Этап (создание)'
	И в поле 'Наименование' я ввожу текст 'НаименованиеЭтапа'
	И из выпадающего списка "Используется для" я выбираю точное значение 'Заказ поставщику'
	И в поле 'Порядок' я ввожу текст 'ПорядокЭтапа'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этап (создание) *' в течение 20 секунд
	Тогда открылось окно 'Этапы документов'
	И Я закрываю окно 'Этапы документов'
	И Я закрываю окно 'Настройки закупок'

Сценарий: Я выбираю "ИмяДанных" с типом "ИмяТипаДанных"

	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'ИмяТипаДанных' |
	И в таблице "" я выбираю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ИмяДанных'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'

Сценарий: Я выбираю тип данных "ИмяТипаДанных"

	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'ИмяТипаДанных' |
	И в таблице "" я выбираю текущую строку

Сценарий: Я устанавливаю кратность "КратностьНоменклатуры" для номенклатуры "ИмяНоменклатуры" с характеристикой "ИмяХарактеристики"

	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Кратность номенклатуры'
	Тогда открылось окно 'Кратность номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Кратность номенклатуры (создание)'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'ИмяНоменклатуры'
	И из выпадающего списка "Характеристика" я выбираю по строке 'ИмяХарактеристики'
	И в поле 'Кратность' я ввожу текст 'КратностьНоменклатуры'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кратность номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Кратность номенклатуры'
	И Я закрываю окно 'Кратность номенклатуры'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: Я закрываю АРМ Формирование планов отгрузки

	И Я закрываю окно 'Формирование планов отгрузки *'
	Тогда открылось окно 'Закрытие'
	И я нажимаю на кнопку 'Да'

Сценарий: Я создаю холдинг "ИмяХолдинга"

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Холдинги'
	Тогда я жду открытия окна 'Холдинги' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Холдинги (создание)'
	И в поле 'Наименование' я ввожу текст 'ИмяХолдинга'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Холдинги (создание)' в течение 20 секунд
	Тогда открылось окно 'Холдинги'
	И я закрываю окно 'Холдинги'

Сценарий: Я создаю Канал сбыта "ИмяКаналаСбыта"

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Каналы сбыта'
	Тогда я жду открытия окна 'Каналы сбыта' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Каналы сбыта (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "ИмяКаналаСбыта"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Каналы сбыта (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Каналы сбыта' в течение 20 секунд
	И Я закрываю окно 'Каналы сбыта'

Сценарий: Я выбираю транспортное средство "ИмяТранспортногоСредства"

	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                      |
		| 'Транспортные средства' |
	И в таблице "" я выбираю текущую строку
	Тогда открылось окно 'Транспортные средства'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'               |
		| 'ИмяТранспортногоСредства' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'

Сценарий: Я начинаю создавать реализацию товаров на дату "ДатаРеализации"

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст 'ДатаРеализации'

Сценарий: Я заканчиваю создавать реализацию товаров

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Реализация товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: Я начинаю создавать поступление товаров на дату "ДатаПоступления"

	И В командном интерфейсе я выбираю 'Закупки' 'Поступления товаров и услуг'
	Тогда открылось окно 'Поступления товаров и услуг'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Поступление товаров и услуг (создание)'
	И в поле 'План. дата' я ввожу текст 'ДатаПоступления'
	И в поле 'Факт. дата' я ввожу текст 'ДатаПоступления'
	И в поле с именем 'ДатаПоДаннымКлиента' я ввожу текст 'ДатаПоступления'
	И в поле с именем 'Дата' я ввожу текст 'ДатаПоступления'

Сценарий: Я заканчиваю создавать поступление товаров и услуг

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Поступление товаров и услуг (создание) *' в течение 20 секунд
	Тогда открылось окно 'Поступления товаров и услуг'
	И Я закрываю окно 'Поступления товаров и услуг'

Сценарий: Я создаю точку доставки "ИмяТочкиДоставки" для контрагента "ИмяКонтрагента" с ответственным "ИмяОтветственного" и складом "ИмяСклада"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Точки доставки'
	Тогда открылось окно 'Точки доставки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Точка доставки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяТочкиДоставки'
	И из выпадающего списка с именем "Владелец" я выбираю по строке 'ИмяКонтрагента'
	И в поле с именем 'Менеджер' я ввожу текст 'ИмяОтветственного'
	И я перехожу к закладке "Логистика"
	И из выпадающего списка "Склад отгрузки" я выбираю по строке 'ИмяСклада'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Точка доставки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Точки доставки'
	И Я закрываю окно 'Точки доставки'

Сценарий: Я начинаю создавать заказ клиента

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ клиента (создание)'

Сценарий: Я начинаю создавать реализацию товаров на основании заказа "КомментарийЗаказа"
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'       |
		| 'КомментарийЗаказа' |
	И я нажимаю на кнопку 'Реализация товаров'
	Тогда открылось окно 'Реализация товаров (создание)'

Сценарий: Я заканчиваю создавать реализацию товаров на основании заказа

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Реализация товаров *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: Я выбираю серию "ИмяСерии" для номенклатуры "ИмяНоменклатуры"

	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'ИмяНоменклатуры' |
	И в таблице "Товары" из выпадающего списка с именем "ТоварыСерия" я выбираю по строке 'ИмяСерии'
	И в таблице "Товары" я завершаю редактирование строки